{% extends 'CoreGUIBundle::base_app.html.twig' %}
{% set baseurl=app.request.getBaseUrl() %}
{% if app_globals.url_login  %}
    {% set url = app_globals.url_login %}
{% else %}
    {% set url = app.request.schemeAndHttpHost ~ app.request.baseUrl%}
{% endif %}
{% block body %}
    <style type="text/css">
        .aceptacion-container{
            width: 700px;
            margin: 0 auto;
        }
    </style>
    <body class="login-layout light-login" style="height: 100%; align-items: center; justify-content: center; overflow-x: auto; ">
    <div class="main-container">
        <div class="main-content">
            <div class="aceptacion-container">
                <div class="space-6"></div>
                <div class="position-relative">
                    <div id="login-box" class="login-box visible widget-box no-border">
                        <div class="widget-body">
                            <div class="widget-main">
                                <div class="row center" style="padding: 5px 0 20px;">
                                    <img src="{{asset("bundles/coregui/app/images/logomsp.png")}}" width="180px"/>
                                </div>
                                <div class="" style="width: 100%;">
                                    <h4 style="padding: 2px; text-align:center;color: blue; font-weight: bold">Consulta de horario para vacuna COVID-19</h4>
                                </div>
                                <form id="consultaAgenda">
                                    <div>
                                        <div class="row">
                                            <div class="col-sm-4 form-group">
                                            </div>
                                            <div class="col-sm-4 form-group">
                                                <label class="control-label required" for="identificacion" aria-required="true">Identificación<i style="color:red" class="asterisk">*</i></label>
                                                <br>
                                                <input type="text" id="identificacion" name="identificacion" required="required" class="form-control  form-control" placeholder="" style="width:100%" aria-required="true">
                                            </div>
                                            <div class="col-sm-4 form-group">
                                            </div>
                                        </div>
                                        <br>
                                        <div id="divData">

                                        </div>
                                        <div class="clearfix">
                                            <center>
                                                <button id="consult_data" type="button" class="width-35 btn btn-sm btn-primary">
                                                    <i class="ace-icon fa fa-send"></i>
                                                    <span class="bigger-110">Consultar</span>
                                                </button>
                                            </center>
                                        </div>
                                    </div>
                                </form>
                            </div><!-- /.widget-main -->
                        </div><!-- /.widget-body -->
                    </div><!-- /.login-box -->
                </div><!-- /.position-relative -->
            </div>
            <div class="center" style="padding: 10px;">
                <img src="{{asset("bundles/coregui/app/images/logorpis.png")}}" style="width:145px;height:45px;"/>
            </div>
        </div><!-- /.main-content -->
    </div><!-- /.main-container -->
    </body>
    <script>
        $( document ).ready(function() {
            $("#consultaAgenda")[0].reset();
            $('#consult_data').click(function () {
                if ($("#consultaAgenda").valid()) {
                    $.processWait.show();
                    $.ajax({
                        type: 'POST',
                        dataType: 'json',
                        async: true,
                        url:  '{{path('hcue_paciente_consulta_agenda_paciente')}}',
                        data: {'identificacion':$('#identificacion').val()},
                        success: function (json) {
                            $.processWait.hide();
                            if (json.status) {
                                $('#divData').html(json.html);
                            }
                            else{
                                $.alert(json.message, 'danger');
                                $('#identificacion').val('');
                                $('#divData').html('');
                            }

                        }
                    });
                }
            });
        })
        function actualizaCorreo(){
            if ($("#consultaAgenda").valid()) {
                $.processWait.show();
                $.ajax({
                    type: 'POST',
                    dataType: 'json',
                    async: true,
                    url:  '{{path('hcue_paciente_actualiza_correo')}}',
                    data: {'identificacion':$('#identificacion').val(),'correo':$('#correo').val()},
                    success: function (json) {
                        $.processWait.hide();
                        if (json.status) {
                            mensajesConsultaAgenda('Información!',json.message,'gritter-success gritter-light');
                        }
                        else{
                            $.alert(json.message, 'danger');
                        }
                    }
                });
            }
        }
        function mensajesConsultaAgenda(Title,mensaje,gritter) {
            $.gritter.add({
                title: Title, text: mensaje,
                time: 4000,
                class_name: gritter
            });
        }
        $(function () {
            $("#consultaAgenda").initInputsForm();
            $("#consultaAgenda").validationForm();
        });

    </script>
{% endblock body%}